
Foreman - Bug #2613

foreman-debug creates tmp/foreman-debug-$rand in tarball

06/04/2013 03:02 PM - Dominic Cleal

Status: Closed   

Priority: Low   

Assignee: Lukas Zapletal   

Category: Packaging   

Target version: 1.4.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

foreman-debug is keeping the directory prefix including the full $TMPDIR path in the tarball, e.g.

$ tar tf foreman-debug-Dh54X.tar 

tmp/foreman-debug-Dh54X/

tmp/foreman-debug-Dh54X/ulimit

 I'd expect this to only be foreman-debug/ or similar, or even better, with a date/timestamp in the directory name.

Related issues:

Related to Foreman - Bug #5401: Expanding foreman-debug tar file can munge pe... Closed 04/22/2014

Associated revisions

Revision 353b946c - 01/11/2014 02:28 PM - Lukas Zapletal

fixes #2613 - foreman-debug tarball directories stripped

History

#1 - 01/08/2014 02:30 PM - Lukas Zapletal

- Description updated

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- translation missing: en.field_release set to 2

- Difficulty set to trivial

https://github.com/theforeman/foreman/pull/1134

#2 - 01/09/2014 02:27 PM - Anonymous

- Target version set to 1.9.2

#3 - 01/11/2014 03:31 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 353b946c1e76cc124ead1998169ffdb0c5d8036a.

#4 - 04/23/2014 07:19 AM - Dominic Cleal

- Related to Bug #5401: Expanding foreman-debug tar file can munge permissions in /tmp added
